#ifndef LISTCHANNELSRESPONSE_HPP
#define LISTCHANNELSRESPONSE_HPP

#include "../Response.hpp"
#include <string>
#include <vector>

namespace mole {
    namespace serv {
	class ListChannelsResponse : public Response {

	    public :
		ListChannelsResponse();
		~ListChannelsResponse();

		void addChannel(std::string);

		std::string getChannel(int i);

		int channelsCount(){ return channels.size(); };

	    private :
		std::vector<std::string> channels;
	};

    } // end serv

} // end mole

#endif
